class Lang:
    def __init__(self, config):
        self.name = config['name']
        self.id = config['id']
        self.levels = []
        for level in config['levels']:
            self.levels.append(Level(level, config['levels'][level]))
        self.words = self.load_words
    

    def load_words(self):
        pass


class Level:
    def __init__(self, name, level_cgf):
        self.name = name
        self.num = level_cgf['num']
        self.chars = []
        for char in level_cgf['chars']:
            self.chars.append((char, level_cgf['chars'][char]))
